Subject: Re: linux-next: build failure after merge of the crypto-current tree

From: Luis Henriques <[email-masked]>
Date: Wed, 2 Nov 2011 20:09:13 +0000

Hi,

In gmane.linux.kernel, you wrote:
> --Signature=_Tue__1_Nov_2011_11_58_51_+1100_R__G+wW+4zIqxa7J
> Content-Type: text/plain; charset=US-ASCII
> Content-Disposition: inline
> Content-Transfer-Encoding: quoted-printable
>
> Hi Herbert,
>
> After merging the crypto-current tree, today's linux-next build (x86_64
> allmodconfig) failed like this:

I'm not sure if this is related, but I am currently unable to build mainline
kernel when disabling CONFIG_NET.  This seems to be due to the patch serie:

http://news.gmane.org/gmane.linux.kernel.cryptoapi/cutoff=6228

For instance, commit 6ad414fe710d4fd3a8c8c6c2ad8fefcfcc207968 adds a dependency
over function nla_put(), which is only defined when CONFIG_NET is enabled.

Cheers,
--
Luis Henriques